continuum-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From eveni...@apache.org
Subject svn commit: r279129 - /maven/continuum/trunk/continuum-updater/src/bin/updater
Date Tue, 06 Sep 2005 21:46:42 GMT
Author: evenisse
Date: Tue Sep  6 14:46:38 2005
New Revision: 279129

URL: http://svn.apache.org/viewcvs?rev=279129&view=rev
Log:
svn props

Modified:
    maven/continuum/trunk/continuum-updater/src/bin/updater   (contents, props changed)

Modified: maven/continuum/trunk/continuum-updater/src/bin/updater
URL: http://svn.apache.org/viewcvs/maven/continuum/trunk/continuum-updater/src/bin/updater?rev=279129&r1=279128&r2=279129&view=diff
==============================================================================
--- maven/continuum/trunk/continuum-updater/src/bin/updater (original)
+++ maven/continuum/trunk/continuum-updater/src/bin/updater Tue Sep  6 14:46:38 2005
@@ -1,121 +1,121 @@
-#!/bin/sh
-# ----------------------------------------------------------------------------
-#  Copyright 2001-2005 The Apache Software Foundation.
-#  
-#  Licensed under the Apache License, Version 2.0 (the "License");
-#  you may not use this file except in compliance with the License.
-#  You may obtain a copy of the License at
-#  
-#       http://www.apache.org/licenses/LICENSE-2.0
-#  
-#  Unless required by applicable law or agreed to in writing, software
-#  distributed under the License is distributed on an "AS IS" BASIS,
-#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-#  See the License for the specific language governing permissions and
-#  limitations under the License.
-# ----------------------------------------------------------------------------
-
-# OS specific support.  $var _must_ be set to either true or false.
-cygwin=false;
-darwin=false;
-case "`uname`" in
-  CYGWIN*) cygwin=true ;;
-  Darwin*) darwin=true 
-           if [ -z "$JAVA_VERSION" ] ; then
-             JAVA_VERSION="CurrentJDK"
-           else
-             echo "Using Java version: $JAVA_VERSION"
-           fi
-           if [ -z "$JAVA_HOME" ] ; then
-             JAVA_HOME=/System/Library/Frameworks/JavaVM.framework/Versions/${JAVA_VERSION}/Home
-           fi
-           ;;
-esac
-
-if [ -z "$C1_UPDATER_HOME" ] ; then
-  # try to find Continuum Updater
-  if [ -d /opt/continuum_updater ] ; then
-    C1_UPDATER_HOME=/opt/continuum_updater
-  fi
-
-  if [ -d "$HOME/continuum_updater" ] ; then
-    C1_UPDATER_HOME="$HOME/continuum_updater"
-  fi
-
-  ## resolve links - $0 may be a link to continuum's home
-  PRG="$0"
-  saveddir=`pwd`
-
-  # need this for relative symlinks
-  PRGDIR=`dirname "$PRG"`
-  cd "$PRGDIR"
-
-  while [ -h "$PRG" ] ; do
-    ls=`ls -ld "$PRG"`
-    link=`expr "$ls" : '.*-> \(.*\)$'`
-    if expr "$link" : '.*/.*' > /dev/null; then
-  PRG="$link"
-    else
-  PRG="$PRGDIR/$link"
-    fi
-  done
-
-  C1_UPDATER_HOME="$PRGDIR/.."
-
-  # make it fully qualified
-  C1_UPDATER_HOME=`cd "$C1_UPDATER_HOME" && pwd`
-
-  cd "$saveddir"
-fi
-
-# For Cygwin, ensure paths are in UNIX format before anything is touched
-if $cygwin ; then
-  [ -n "$C1_UPDATER_HOME" ] &&
-    C1_UPDATER_HOME=`cygpath --unix "$C1_UPDATER_HOME"`
-  [ -n "$JAVA_HOME" ] &&
-    JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
-  [ -n "$CLASSPATH" ] &&
-    CLASSPATH=`cygpath --path --unix "$CLASSPATH"`
-fi
-
-if [ -z "$JAVACMD" ] ; then
-  if [ -n "$JAVA_HOME"  ] ; then
-    if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
-      # IBM's JDK on AIX uses strange locations for the executables
-      JAVACMD="$JAVA_HOME/jre/sh/java"
-    else
-      JAVACMD="$JAVA_HOME/bin/java"
-    fi
-  else
-    JAVACMD=java
-  fi
-fi
-
-if [ ! -x "$JAVACMD" ] ; then
-  echo "Error: JAVA_HOME is not defined correctly."
-  echo "  We cannot execute $JAVACMD"
-  exit 1
-fi
-
-if [ -z "$JAVA_HOME" ] ; then
-  echo "Warning: JAVA_HOME environment variable is not set."
-fi
-
-CLASSWORLDS_LAUNCHER=org.codehaus.classworlds.Launcher
-
-# For Cygwin, switch paths to Windows format before running java
-if $cygwin; then
-  [ -n "$C1_UPDATER_HOME" ] &&
-    C1_UPDATER_HOME=`cygpath --path --windows "$C1_UPDATER_HOME"`
-  [ -n "$JAVA_HOME" ] &&
-    JAVA_HOME=`cygpath --path --windows "$JAVA_HOME"`
-  [ -n "$HOME" ] &&
-    HOME=`cygpath --path --windows "$HOME"`
-fi
-
-exec "$JAVACMD" \
-  -classpath "${C1_UPDATER_HOME}"/core/boot/classworlds-*.jar \
-  "-Dclassworlds.conf=${C1_UPDATER_HOME}/bin/updater.conf" \
-  "-Dmaven.home=${C1_UPDATER_HOME}"  \
-  ${CLASSWORLDS_LAUNCHER} $@
-
+#!/bin/sh
+# ----------------------------------------------------------------------------
+#  Copyright 2001-2005 The Apache Software Foundation.
+#  
+#  Licensed under the Apache License, Version 2.0 (the "License");
+#  you may not use this file except in compliance with the License.
+#  You may obtain a copy of the License at
+#  
+#       http://www.apache.org/licenses/LICENSE-2.0
+#  
+#  Unless required by applicable law or agreed to in writing, software
+#  distributed under the License is distributed on an "AS IS" BASIS,
+#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+#  See the License for the specific language governing permissions and
+#  limitations under the License.
+# ----------------------------------------------------------------------------
+
+# OS specific support.  $var _must_ be set to either true or false.
+cygwin=false;
+darwin=false;
+case "`uname`" in
+  CYGWIN*) cygwin=true ;;
+  Darwin*) darwin=true 
+           if [ -z "$JAVA_VERSION" ] ; then
+             JAVA_VERSION="CurrentJDK"
+           else
+             echo "Using Java version: $JAVA_VERSION"
+           fi
+           if [ -z "$JAVA_HOME" ] ; then
+             JAVA_HOME=/System/Library/Frameworks/JavaVM.framework/Versions/${JAVA_VERSION}/Home
+           fi
+           ;;
+esac
+
+if [ -z "$C1_UPDATER_HOME" ] ; then
+  # try to find Continuum Updater
+  if [ -d /opt/continuum_updater ] ; then
+    C1_UPDATER_HOME=/opt/continuum_updater
+  fi
+
+  if [ -d "$HOME/continuum_updater" ] ; then
+    C1_UPDATER_HOME="$HOME/continuum_updater"
+  fi
+
+  ## resolve links - $0 may be a link to continuum's home
+  PRG="$0"
+  saveddir=`pwd`
+
+  # need this for relative symlinks
+  PRGDIR=`dirname "$PRG"`
+  cd "$PRGDIR"
+
+  while [ -h "$PRG" ] ; do
+    ls=`ls -ld "$PRG"`
+    link=`expr "$ls" : '.*-> \(.*\)$'`
+    if expr "$link" : '.*/.*' > /dev/null; then
+  PRG="$link"
+    else
+  PRG="$PRGDIR/$link"
+    fi
+  done
+
+  C1_UPDATER_HOME="$PRGDIR/.."
+
+  # make it fully qualified
+  C1_UPDATER_HOME=`cd "$C1_UPDATER_HOME" && pwd`
+
+  cd "$saveddir"
+fi
+
+# For Cygwin, ensure paths are in UNIX format before anything is touched
+if $cygwin ; then
+  [ -n "$C1_UPDATER_HOME" ] &&
+    C1_UPDATER_HOME=`cygpath --unix "$C1_UPDATER_HOME"`
+  [ -n "$JAVA_HOME" ] &&
+    JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
+  [ -n "$CLASSPATH" ] &&
+    CLASSPATH=`cygpath --path --unix "$CLASSPATH"`
+fi
+
+if [ -z "$JAVACMD" ] ; then
+  if [ -n "$JAVA_HOME"  ] ; then
+    if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
+      # IBM's JDK on AIX uses strange locations for the executables
+      JAVACMD="$JAVA_HOME/jre/sh/java"
+    else
+      JAVACMD="$JAVA_HOME/bin/java"
+    fi
+  else
+    JAVACMD=java
+  fi
+fi
+
+if [ ! -x "$JAVACMD" ] ; then
+  echo "Error: JAVA_HOME is not defined correctly."
+  echo "  We cannot execute $JAVACMD"
+  exit 1
+fi
+
+if [ -z "$JAVA_HOME" ] ; then
+  echo "Warning: JAVA_HOME environment variable is not set."
+fi
+
+CLASSWORLDS_LAUNCHER=org.codehaus.classworlds.Launcher
+
+# For Cygwin, switch paths to Windows format before running java
+if $cygwin; then
+  [ -n "$C1_UPDATER_HOME" ] &&
+    C1_UPDATER_HOME=`cygpath --path --windows "$C1_UPDATER_HOME"`
+  [ -n "$JAVA_HOME" ] &&
+    JAVA_HOME=`cygpath --path --windows "$JAVA_HOME"`
+  [ -n "$HOME" ] &&
+    HOME=`cygpath --path --windows "$HOME"`
+fi
+
+exec "$JAVACMD" \
+  -classpath "${C1_UPDATER_HOME}"/core/boot/classworlds-*.jar \
+  "-Dclassworlds.conf=${C1_UPDATER_HOME}/bin/updater.conf" \
+  "-Dmaven.home=${C1_UPDATER_HOME}"  \
+  ${CLASSWORLDS_LAUNCHER} $@
+

Propchange: maven/continuum/trunk/continuum-updater/src/bin/updater
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: maven/continuum/trunk/continuum-updater/src/bin/updater
------------------------------------------------------------------------------
    svn:keywords = Author Date Id Revision



Mime
View raw message